## golang-github-coreos-bbolt 1.3.3

=== Makefile ===
BRANCH=`git rev-parse --abbrev-ref HEAD`
COMMIT=`git rev-parse --short HEAD`
GOLDFLAGS="-X main.branch $(BRANCH) -X main.commit $(COMMIT)"

default: build

race:
	@TEST_FREELIST_TYPE=hashmap go test -v -race -test.run="TestSimulate_(100op|1000op)"
	@echo "array freelist test"
	@TEST_FREELIST_TYPE=array go test -v -race -test.run="TestSimulate_(100op|1000op)"

fmt:
	!(gofmt -l -s -d $(shell find . -name \*.go) | grep '[a-z]')

# go get honnef.co/go/tools/simple
gosimple:
	gosimple ./...

# go get honnef.co/go/tools/unused
unused:
	unused ./...

# go get github.com/kisielk/errcheck
errcheck:
	@errcheck -ignorepkg=bytes -ignore=os:Remove go.etcd.io/bbolt

test:
	TEST_FREELIST_TYPE=hashmap go test -timeout 20m -v -coverprofile cover.out -covermode atomic
	# Note: gets "program not an importable package" in out of path builds
	TEST_FREELIST_TYPE=hashmap go test -v ./cmd/bbolt

	@echo "array freelist test"

	@TEST_FREELIST_TYPE=array go test -timeout 20m -v -coverprofile cover.out -covermode atomic
	# Note: gets "program not an importable package" in out of path builds
	@TEST_FREELIST_TYPE=array go test -v ./cmd/bbolt

.PHONY: race fmt errcheck test gosimple unused

## golang-github-coreos-bbolt 1.3.1-coreos.5

=== debian/changelog ===
golang-github-coreos-bbolt (1.3.1-coreos.5-3) unstable; urgency=medium

  * Team upload.
  * Add go vanity import path go.etcd.io/bbolt.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Sun, 20 Jan 2019 13:01:35 +0700

golang-github-coreos-bbolt (1.3.1-coreos.5-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders.

 -- Alexandre Viau <aviau@debian.org>  Sat, 17 Nov 2018 20:37:54 -0500

golang-github-coreos-bbolt (1.3.1-coreos.5-1) unstable; urgency=medium

  * Initial release (Closes: #892486),
    based on the Debian packaging of golang-github-boltdb-bolt.

 -- Anthony Fok <foka@debian.org>  Fri, 09 Mar 2018 09:07:13 -0700

=== debian/control ===
Source: golang-github-coreos-bbolt
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Martín Ferrari <tincho@debian.org>,
           Tim Potter <tpot@hpe.com>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang (>= 1.17~),
               golang-any
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt.git
Homepage: https://github.com/coreos/bbolt
XS-Go-Import-Path: github.com/coreos/bbolt,
                   go.etcd.io/bbolt

Package: golang-github-coreos-bbolt-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: low-level key/value database for Go, especially CoreOS's etcd
 bbolt is a fork of Ben Johnson's Bolt key/value store
 (github.com/boltdb/bolt).
 .
 The purpose of this fork is to better cater to the needs of CoreOS's etcd
 (github.com/coreos/etcd), and to provide the Go community with an active
 maintenance and development target for Bolt; the goal is improved reliability
 and stability.  bbolt includes bug fixes, performance enhancements, and
 features not found in Bolt while preserving backwards compatibility with the
 Bolt API.
 .
 Bolt is a pure Go key/value store inspired by Howard Chu's and the LMDB
 project. The goal of the project is to provide a simple, fast, and reliable
 database for projects that don't require a full database server such as
 Postgres or MySQL.

## golang-github-coreos-bbolt 1.3.3

=== debian/changelog ===
golang-github-coreos-bbolt (1.3.3-1) unstable; urgency=medium

  * New upstream release (Closes: #947617)
    + new upstream patch to fix test failure
  * Updated primary import path to "go.etcd.io/bbolt";
    added symlink_to_dir maintscript.
  * Added "github.com/etcd-io/bbolt" alias as imported by
    "golang-github-containers-image".
  * DH to version 12
  * Standards-Version: 4.4.1
  * Added myself to Uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Dec 2019 17:21:03 +1100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Martín Ferrari <tincho@debian.org>,
-           Tim Potter <tpot@hpe.com>
+           Tim Potter <tpot@hpe.com>,
+           Dmitry Smirnov <onlyjob@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang (>= 1.17~),
                golang-any
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt.git
 Homepage: https://github.com/coreos/bbolt
-XS-Go-Import-Path: github.com/coreos/bbolt,
-                   go.etcd.io/bbolt
+XS-Go-Import-Path: go.etcd.io/bbolt,
+                   github.com/coreos/bbolt,
+                   github.com/etcd-io/bbolt,
 
 Package: golang-github-coreos-bbolt-dev
 Architecture: all

## golang-github-coreos-bbolt 1.3.5

=== debian/changelog ===
golang-github-coreos-bbolt (1.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch 185.patch
  * Build-Depends: golang-golang-x-sys-dev
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Sep 2020 10:12:45 +0800

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.17~),
-               golang-any
-Standards-Version: 4.4.1
+               golang-any,
+               golang-golang-x-sys-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt.git
 Homepage: https://github.com/coreos/bbolt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_GOLANG_EXCLUDES := cmd/bbolt

TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp -- --no-binaries

override_dh_auto_test:
	dh_auto_test -- -short

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.A-Za-z-]*)\.tar\.gz%golang-github-coreos-bbolt-$1.tar.gz%" \
    https://github.com/coreos/bbolt/releases \
    (?:.*?/)?v?(\d[\d.A-Za-z-]*)\.tar\.gz

## golang-github-coreos-bbolt 1.3.6

=== debian/changelog ===
golang-github-coreos-bbolt (1.3.6-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Update Section to golang
  * Add golang-golang-x-sys-dev to Depends as well
  * Add Rules-Requires-Root
  * Add Multi-Arch hint
  * Fix uscan watch file
  * Update upstream homepage
  * Convert old import path to symlink
  * Update Standards-Version to 4.6.2 (no changes)
  * Add patches to skip tests which need too much memory

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 31 Jan 2023 22:35:05 +0800

golang-github-coreos-bbolt (1.3.6-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-golang.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Thomas Goirand ]
  * Team upload.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 16:04:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,31 @@
 Source: golang-github-coreos-bbolt
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Dmitry Smirnov <onlyjob@debian.org>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.17~),
+               dh-golang,
                golang-any,
-               golang-golang-x-sys-dev
-Standards-Version: 4.5.0
+               golang-golang-x-sys-dev,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt.git
-Homepage: https://github.com/coreos/bbolt
+Homepage: https://github.com/etcd-io/bbolt
+Rules-Requires-Root: no
 XS-Go-Import-Path: go.etcd.io/bbolt,
                    github.com/coreos/bbolt,
                    github.com/etcd-io/bbolt,
 
 Package: golang-github-coreos-bbolt-dev
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Multi-Arch: foreign
+Depends: golang-golang-x-sys-dev,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: low-level key/value database for Go, especially CoreOS's etcd
  bbolt is a fork of Ben Johnson's Bolt key/value store
  (github.com/boltdb/bolt).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_GOLANG_EXCLUDES := cmd/bbolt

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	dh_auto_test -- -short

## golang-github-coreos-bbolt 1.3.8

=== debian/changelog ===
golang-github-coreos-bbolt (1.3.8-1) unstable; urgency=medium

  * New upstream version 1.3.8
  * Reorder fields in debian/control and debian/copyright
  * Drop -dev package’s unneeded dependency on ${shlibs:Depends}
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Update versioned dependencies as per go.mod
  * debian/rules: Invoke dh with --builddirectory=_build
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * debian/rules: Exclude tests/failpoint;
    see .github/workflows/failpoint_test.yaml and Makefile

 -- Anthony Fok <foka@debian.org>  Sat, 04 Nov 2023 06:21:22 -0600

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: golang-github-coreos-bbolt
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Martín Ferrari <tincho@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Dmitry Smirnov <onlyjob@debian.org>,
-Section: golang
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-golang,
+               golang-any (>= 2:1.17~),
+               golang-github-stretchr-testify-dev (>= 1.8.1),
+               golang-github-etcd-io-gofail-dev (>= 0.1.0),
+               golang-golang-x-sys-dev (>= 0.4.0),
 Testsuite: autopkgtest-pkg-go
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-golang,
-               golang-any,
-               golang-golang-x-sys-dev,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt.git
 Homepage: https://github.com/etcd-io/bbolt
-Rules-Requires-Root: no
 XS-Go-Import-Path: go.etcd.io/bbolt,
                    github.com/coreos/bbolt,
                    github.com/etcd-io/bbolt,
@@ -23,9 +25,9 @@
 Package: golang-github-coreos-bbolt-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-golang-x-sys-dev,
+Depends: golang-github-stretchr-testify-dev (>= 1.8.1),
+         golang-golang-x-sys-dev (>= 0.4.0),
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: low-level key/value database for Go, especially CoreOS's etcd
  bbolt is a fork of Ben Johnson's Bolt key/value store
  (github.com/boltdb/bolt).

## golang-github-coreos-bbolt 1.3.10

=== debian/changelog ===
golang-github-coreos-bbolt (1.3.10-2) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * Sync Depends with Build-Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 01:20:28 +0000

golang-github-coreos-bbolt (1.3.10-1) experimental; urgency=medium

  * Team Upload.

  [ Badrikesh Prusty ]
  * New upstream version 1.3.10
  * Depend on golang-golang-x-sync-dev and golang-any 1.21
  * Update standards version to 4.7.0

  [ Reinhard Tartler ]
  * Upload to experimental

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 19 Jun 2024 14:39:43 -0400

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
-               golang-any (>= 2:1.17~),
+               golang-any (>= 2:1.21~),
                golang-github-stretchr-testify-dev (>= 1.8.1),
                golang-github-etcd-io-gofail-dev (>= 0.1.0),
+               golang-golang-x-sync-dev (>= 0.5.0),
                golang-golang-x-sys-dev (>= 0.4.0),
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt.git
 Homepage: https://github.com/etcd-io/bbolt
@@ -26,6 +27,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-stretchr-testify-dev (>= 1.8.1),
+         golang-github-etcd-io-gofail-dev (>= 0.1.0),
+         golang-golang-x-sync-dev (>= 0.5.0),
          golang-golang-x-sys-dev (>= 0.4.0),
          ${misc:Depends},
 Description: low-level key/value database for Go, especially CoreOS's etcd

## golang-github-coreos-bbolt 1.4.2

=== debian/changelog ===
golang-github-coreos-bbolt (1.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Bump standards version, no changes needed
  * Skip TestDB_HugeValue to avoid crash on 32bit

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 09 Aug 2025 13:25:33 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-golang-x-sync-dev (>= 0.5.0),
                golang-golang-x-sys-dev (>= 0.4.0),
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-coreos-bbolt.git
 Homepage: https://github.com/etcd-io/bbolt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_GOLANG_EXCLUDES := cmd/bbolt tests/failpoint

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	dh_auto_test -- -short

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/etcd-io/bbolt/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian
